### Method

# EDataServer WebDAVResource copy

since: 3.26

#### Declaration [src]

    EWebDAVResource*
    e_webdav_resource_copy (
      const EWebDAVResource* src
    )

#### Description

No description available.

Available since: 3.26

#### Parameters

`src`

  Type: `EWebDAVResource`

  An `EWebDAVResource` to make a copy of.

  The argument can be `NULL`.

#### Return value

Type: `EWebDAVResource`

A new `EWebDAVResource` prefilled with the same values as `src`, or `NULL`, when `src` is `NULL`. Free it with e_webdav_resource_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.